<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Cloud](./bitburner.cloud.md) &gt; [getServerCost](./bitburner.cloud.getservercost.md)

## Cloud.getServerCost() method

Get cost of purchasing a cloud server.

**Signature:**

```typescript
getServerCost(ram: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ram


</td><td>

number


</td><td>

Amount of RAM of a potential cloud server, in GB. Must be a power of 2 (2, 4, 8, 16, etc.). Maximum value of 1048576 (2^20).


</td></tr>
</tbody></table>

**Returns:**

number

The cost to purchase a cloud server with the specified amount of ram, or returns Infinity if ram is not a valid amount.

## Remarks

RAM cost: 0.25 GB

Returns the cost to purchase a cloud server with the specified amount of ram.

## Example


```js
const ram = 2 ** 20;
const cost = ns.cloud.getServerCost(ram);
ns.tprint(`A cloud server with ${ns.format.ram(ram)} costs $${ns.format.number(cost)}`);
```

